﻿
 EXEC P_ALTERPK 'PK_T_IMIC_INITIALSCHEME', 'T_IMIC_INITIALSCHEME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_INITIALSCHEME' AND KSQL_INDNAME = 'IDX_T_IMIC_INITIALSCHEME_FNUMB') CREATE INDEX IDX_T_IMIC_INITIALSCHEME_FNUMB ON T_IMIC_INITIALSCHEME ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_IMIC_INITIALSCHEME_L', 'T_IMIC_INITIALSCHEME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_INITIALSCHEME_L' AND KSQL_INDNAME = 'IDX_IMIC_INITIALSCHEME_L_0') CREATE INDEX IDX_IMIC_INITIALSCHEME_L_0 ON T_IMIC_INITIALSCHEME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_IMIC_ITEMGROUP', 'T_IMIC_ITEMGROUP', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_ITEMGROUP' AND KSQL_INDNAME = 'IDX_IMIC_ITEMGROUP_FK') CREATE INDEX IDX_IMIC_ITEMGROUP_FK ON T_IMIC_ITEMGROUP ( FID );

 EXEC P_ALTERPK 'PK_IMIC_ITEMGROUP_L', 'T_IMIC_ITEMGROUP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_ITEMGROUP_L' AND KSQL_INDNAME = 'IDX_IMIC_GROUP_L_FENTRY_LOCAL') CREATE INDEX IDX_IMIC_GROUP_L_FENTRY_LOCAL ON T_IMIC_ITEMGROUP_L ( FENTRYID ,FLOCALEID );

 EXEC P_ALTERPK 'PK_T_IMIC_INITENTRY_ITEMS', 'T_IMIC_INITENTRY_ITEMS', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_INITENTRY_ITEMS' AND KSQL_INDNAME = 'IDX_IMIC_INITENTRY_ITEMS_FK') CREATE INDEX IDX_IMIC_INITENTRY_ITEMS_FK ON T_IMIC_INITENTRY_ITEMS ( FENTRYID );

 EXEC P_ALTERPK 'PK_IMIC_INITENTRY_ITEMS_L', 'T_IMIC_INITENTRY_ITEMS_L', 'FPKID', '1';
 
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_INITENTRY_ITEMS_L' AND KSQL_INDNAME = 'IDX_IMIC_ITEMS_L_DETAIL_LOCAL') CREATE INDEX IDX_IMIC_ITEMS_L_DETAIL_LOCAL ON T_IMIC_INITENTRY_ITEMS_L ( FDETAILID ,FLOCALEID );
 

 EXEC P_ALTERPK 'PK_T_IMIC_ASSIGNRECORD', 'T_IMIC_ASSIGNRECORD', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_ASSIGNRECORD' AND KSQL_INDNAME = 'IDX_IMIC_ALLOT_SCHEME_DMSN') CREATE INDEX IDX_IMIC_ALLOT_SCHEME_DMSN ON T_IMIC_ASSIGNRECORD ( FINITIALSCHEME ,FDIMENSION );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_ASSIGNRECORD' AND KSQL_INDNAME = 'IDX_IMIC_ALLOT_ORG') CREATE INDEX IDX_IMIC_ALLOT_ORG ON T_IMIC_ASSIGNRECORD ( FORGID );


 EXEC P_ALTERPK 'PK_T_IMIC_PROGRESSUNIT', 'T_IMIC_PROGRESSUNIT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_PROGRESSUNIT' AND KSQL_INDNAME = 'IDX_IMIC_PRGO_SCHEME_DMSN_TIME') CREATE INDEX IDX_IMIC_PRGO_SCHEME_DMSN_TIME ON T_IMIC_PROGRESSUNIT ( FINITIALSCHEMEID ,FDIMENSION ,FCOMPLETEDTIME );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_IMIC_PROGRESSUNIT' AND KSQL_INDNAME = 'IDX_IMIC_PRGO_ITEMENTRYID') CREATE INDEX IDX_IMIC_PRGO_ITEMENTRYID ON T_IMIC_PROGRESSUNIT ( FINITIALSCHEMEENTRYID );
