﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_INITIALSCHEME')
 CREATE TABLE T_IMIC_INITIALSCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT '0' NOT NULL,
FBIZAPP VARCHAR(255) DEFAULT ' ' NOT NULL,
FUSEDIMENSION CHAR(1) DEFAULT '0' NOT NULL,
FDIMENSIONTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FISALLUSE CHAR(1) DEFAULT '0' NOT NULL,
FORGVIEWTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_INITIALSCHEME_L') 
 CREATE TABLE T_IMIC_INITIALSCHEME_L (
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(2000) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_ITEMGROUP') 
 CREATE TABLE T_IMIC_ITEMGROUP (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FSTEPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_ITEMGROUP_L') 
 CREATE TABLE T_IMIC_ITEMGROUP_L (
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSTEPNAME NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_INITENTRY_ITEMS') 
 CREATE TABLE T_IMIC_INITENTRY_ITEMS (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINITITEM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FINITCONFIGDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL,
FINITCONFIGMUSTSET CHAR(1) DEFAULT '0' NOT NULL,
FINITCONFIGURL VARCHAR(500) DEFAULT ' ' NOT NULL,
FPAGEPARAM NVARCHAR(2000) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_INITENTRY_ITEMS_L') 
 CREATE TABLE T_IMIC_INITENTRY_ITEMS_L (
FPKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FITEMNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINITCONFIGDESCRIPTION NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_ASSIGNRECORD') 
 CREATE TABLE T_IMIC_ASSIGNRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FINITIALSCHEME BIGINT DEFAULT 0 NOT NULL,
FDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_IMIC_PROGRESSUNIT') 
 CREATE TABLE T_IMIC_PROGRESSUNIT (
FID BIGINT DEFAULT 0 NOT NULL,
FDIMENSION VARCHAR(50) DEFAULT ' ' NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETEDUSER BIGINT DEFAULT 0 NOT NULL,
FCOMPLETEDTIME DATETIME,
FINITIALSCHEMEID BIGINT DEFAULT 0 NOT NULL,
FINITIALSCHEMEENTRYID BIGINT DEFAULT 0 NOT NULL,
FCOMPLETEDITEMS INT DEFAULT 0 NOT NULL,
FLASTCOMPLETED CHAR(1) DEFAULT '0' NOT NULL
);

