-- 传输包日志表 新增字段传输包id、
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RICC_LOG' AND KSQL_COL_NAME IN ('FPACKETID'))
ALTER TABLE T_RICC_LOG ADD (FPACKETID BIGINT DEFAULT 0 NOT NULL);
-- 新增目标数据中心id字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RICC_LOG' AND KSQL_COL_NAME IN ('FTARGETDATACENTERID'))
ALTER TABLE T_RICC_LOG ADD (FTARGETDATACENTERID BIGINT DEFAULT 0 NOT NULL);
-- 新增目标数据中心用户字段
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_RICC_LOG' AND KSQL_COL_NAME IN ('FTARGETDATACENTERUSER'))
ALTER TABLE T_RICC_LOG ADD (FTARGETDATACENTERUSER VARCHAR(50) DEFAULT ' ' NOT NULL);

-- 传输包日志表新增索引 传输包id索引、目标数据中心id索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_LOG_FPACKETID') CREATE INDEX IDX_RICC_LOG_FPACKETID ON T_RICC_LOG ( FPACKETID );
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_LOG_FTDCID') CREATE INDEX IDX_RICC_LOG_FTDCID ON T_RICC_LOG ( FTARGETDATACENTERID );
