EXEC P_ALTERPK 'PK_T_RICC_DATAPACKET_L', 'T_RICC_DATAPACKET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATAPACKET_L') CREATE INDEX IDX_RICC_DATAPACKET_L ON T_RICC_DATAPACKET_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_RICC_TRANSFERTASK', 'T_RICC_TRANSFERTASK', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RICC_TRANSFERTASK_BILLNO') CREATE UNIQUE INDEX IDX_T_RICC_TRANSFERTASK_BILLNO ON T_RICC_TRANSFERTASK ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_RICC_DATATRANSFER', 'T_RICC_DATATRANSFER', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATATRANSFER_PACKET') CREATE INDEX IDX_RICC_DATATRANSFER_PACKET ON T_RICC_DATATRANSFER ( FDATAPACKET );


 EXEC P_ALTERPK 'PK_T_RICC_DESTACCOUNT', 'T_RICC_DESTACCOUNT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DESTACCOUNT') CREATE INDEX IDX_RICC_DESTACCOUNT ON T_RICC_DESTACCOUNT ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RICC_RELYBASE', 'T_RICC_RELYBASE', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RICC_RELYBASE_ID') CREATE INDEX IDX_T_RICC_RELYBASE_ID ON T_RICC_RELYBASE ( FID );


 EXEC P_ALTERPK 'PK_T_RICC_DATAPACKET', 'T_RICC_DATAPACKET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DATAPACKET_NUM') CREATE INDEX IDX_RICC_DATAPACKET_NUM ON T_RICC_DATAPACKET ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RICC_INITCONFIG', 'T_RICC_INITCONFIG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_INITCONFIG_SP') CREATE INDEX IDX_RICC_INITCONFIG_SP ON T_RICC_INITCONFIG ( FSTORAGEPATH );
 
 EXEC P_ALTERPK 'PK_T_RICC_SUBDATAPACKET', 'T_RICC_SUBDATAPACKET', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_SUBDATAPACKET_BILLID') CREATE INDEX IDX_RICC_SUBDATAPACKET_BILLID ON T_RICC_SUBDATAPACKET ( FID );


 EXEC P_ALTERPK 'PK_T_RICC_CONFIGITEMS_L', 'T_RICC_CONFIGITEMS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGITEMS_L_FID') CREATE INDEX IDX_RICC_CONFIGITEMS_L_FID ON T_RICC_CONFIGITEMS_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGITEMS_L_FNAME') CREATE INDEX IDX_RICC_CONFIGITEMS_L_FNAME ON T_RICC_CONFIGITEMS_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_RICC_CONFIGITEMS', 'T_RICC_CONFIGITEMS', 'FID,FNUMBER', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGITEMS_FNUMBER') CREATE INDEX IDX_RICC_CONFIGITEMS_FNUMBER ON T_RICC_CONFIGITEMS ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RICC_CONFIGTREE', 'T_RICC_CONFIGTREE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RICC_CONFIGTREE_FNUMBER') CREATE INDEX IDX_T_RICC_CONFIGTREE_FNUMBER ON T_RICC_CONFIGTREE ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_RICC_CONFIGTREE_L', 'T_RICC_CONFIGTREE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGTREE_L_FID') CREATE INDEX IDX_RICC_CONFIGTREE_L_FID ON T_RICC_CONFIGTREE_L ( FID ,FLOCALEID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_CONFIGTREE_L_FNAME') CREATE INDEX IDX_RICC_CONFIGTREE_L_FNAME ON T_RICC_CONFIGTREE_L ( FNAME );


 EXEC P_ALTERPK 'PK_T_RICC_APPCTL_LIST', 'T_RICC_APPCTL_LIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_APPCTL_LIST_PAGE') CREATE INDEX IDX_RICC_APPCTL_LIST_PAGE ON T_RICC_APPCTL_LIST ( FPAGE );
 
 EXEC P_ALTERPK 'PK_T_RICC_LOG', 'T_RICC_LOG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RICC_LOG_BILLNO') CREATE INDEX IDX_T_RICC_LOG_BILLNO ON T_RICC_LOG ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RICC_LOG_TASKID') CREATE INDEX IDX_T_RICC_LOG_TASKID ON T_RICC_LOG ( FTASKID );


 EXEC P_ALTERPK 'PK_T_RICC_LOG_L', 'T_RICC_LOG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_LOG_L_FID') CREATE INDEX IDX_RICC_LOG_L_FID ON T_RICC_LOG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_T_RICC_RELYCONFIGITEM', 'T_RICC_RELYCONFIGITEM', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_T_RICC_RELYCONFIGITEM_ID') CREATE INDEX IDX_T_RICC_RELYCONFIGITEM_ID ON T_RICC_RELYCONFIGITEM ( FID );


 EXEC P_ALTERPK 'PK_T_RICC_DESTACCOUNT_L', 'T_RICC_DESTACCOUNT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_DESTACCOUNT_L') CREATE INDEX IDX_RICC_DESTACCOUNT_L ON T_RICC_DESTACCOUNT_L ( FID ,FLOCALEID );



 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_SUBPACKET_ENTRY_FJ') CREATE INDEX IDX_RICC_SUBPACKET_ENTRY_FJ ON T_RICC_SUBPACKET_FJ ( FENTRYID );