IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TEST') 
 CREATE TABLE T_RICC_TEST (
FID BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAFIELD BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_RICC_TEST', 'T_RICC_TEST', 'FID', '1';

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TEST_MULTI') 
 CREATE TABLE T_RICC_TEST_MULTI (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_RICC_TEST_MULTI', 'T_RICC_TEST_MULTI', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_TEST_MULTI_FK') CREATE INDEX IDX_RICC_TEST_MULTI_FK ON T_RICC_TEST_MULTI ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TESTENTRY') 
 CREATE TABLE T_RICC_TESTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD1 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAFIELD1 BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_RICC_TESTENTRY', 'T_RICC_TESTENTRY', 'FENTRYID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_TESTENTRY_FK') CREATE INDEX IDX_RICC_TESTENTRY_FK ON T_RICC_TESTENTRY ( FID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TESTENTRY_MULTI') 
 CREATE TABLE T_RICC_TESTENTRY_MULTI (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_RICC_TESTENTRY_MULTI', 'T_RICC_TESTENTRY_MULTI', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_TESTENTRY_MULTI_FK') CREATE INDEX IDX_RICC_TESTENTRY_MULTI_FK ON T_RICC_TESTENTRY_MULTI ( FENTRYID );

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TESTSUBENTRY') 
 CREATE TABLE T_RICC_TESTSUBENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTEXTFIELD2 VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASEDATAFIELD2 BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_RICC_TESTSUBENTRY', 'T_RICC_TESTSUBENTRY', 'FDETAILID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_TESTSUBENTRY_FK') CREATE INDEX IDX_RICC_TESTSUBENTRY_FK ON T_RICC_TESTSUBENTRY ( FENTRYID );


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TESTSUBENTRY_MULTI') 
 CREATE TABLE T_RICC_TESTSUBENTRY_MULTI (
FPKID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);

EXEC P_ALTERPK 'PK_RICC_TESTSUBENTRY_MULTI', 'T_RICC_TESTSUBENTRY_MULTI', 'FPKID', '1';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_TESTSUBENTRY_MULTI_FK') CREATE INDEX IDX_RICC_TESTSUBENTRY_MULTI_FK ON T_RICC_TESTSUBENTRY_MULTI ( FDETAILID );
