-- 传输包日志分录建表脚本
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_SYNLOGENTRY')
 CREATE TABLE T_RICC_SYNLOGENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSYNLOG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSYNLOG_TAG NCLOB DEFAULT ' ' NULL,
FENTRYSYNSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYFAILEDCOUNT BIGINT DEFAULT 0 NOT NULL,
FENTRYSUCCESSCOUNT BIGINT DEFAULT 0 NOT NULL
);
-- 创建主键
EXEC P_ALTERPK 'PK_RICC_SYNLOGENTRY', 'T_RICC_SYNLOGENTRY', 'FENTRYID', '1';
-- 创建索引
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_SYNLOGENTRY_FID') CREATE INDEX IDX_RICC_SYNLOGENTRY_FID ON T_RICC_SYNLOGENTRY ( FID );