IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATAPACKET_L') 
 CREATE TABLE T_RICC_DATAPACKET_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_TRANSFERTASK') 
 CREATE TABLE T_RICC_TRANSFERTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FTARGETDATACENTERUSER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARGETDATACENTER BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOTRANSFERER BIGINT DEFAULT 0 NOT NULL,
FISCOMPLETED CHAR(1) DEFAULT '1' NOT NULL,
FCOMPLETETIME DATETIME,
FTARGETDATACENTERUSER_ENP NCLOB DEFAULT ' '
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATATRANSFER') 
 CREATE TABLE T_RICC_DATATRANSFER (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTRANSFERSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATAPACKET BIGINT DEFAULT 0 NOT NULL,
FTRANSFERTIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DESTACCOUNT') 
 CREATE TABLE T_RICC_DESTACCOUNT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(50) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FEVNTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FEVNURL VARCHAR(255) DEFAULT ' ' NOT NULL,
FISDEFAULT CHAR(1) DEFAULT '0' NOT NULL,
FAPPSECURET VARCHAR(100) DEFAULT ' ' NOT NULL,
FAPPSECURET_ENP NCLOB DEFAULT ' ' NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_RELYBASE') 
 CREATE TABLE T_RICC_RELYBASE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DATAPACKET') 
 CREATE TABLE T_RICC_DATAPACKET (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(30) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSRCDATACENTER VARCHAR(500) DEFAULT ' ' NOT NULL,
FDESTDATACENTER VARCHAR(500) DEFAULT ' ' NOT NULL,
FSYNCSTATE BIGINT DEFAULT 0 NOT NULL,
FALLOWCHANGE CHAR(1) DEFAULT ' ' NOT NULL,
FSYNMODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUBPACKETCOUNT BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_INITCONFIG') 
 CREATE TABLE T_RICC_INITCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FPERIODICCLEAN CHAR(1) DEFAULT ' ' NOT NULL,
FCLEANDAYS BIGINT DEFAULT 0 NOT NULL,
FSTORAGEPATH VARCHAR(50) DEFAULT ' ' NOT NULL,
FENVROLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBASICSETCHANGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCOMPAREKEY VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_SUBDATAPACKET') 
 CREATE TABLE T_RICC_SUBDATAPACKET (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFILENAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FSYNCSTATE VARCHAR(50) DEFAULT '0 ' NOT NULL,
FRELYLEVEL BIGINT DEFAULT 0 NOT NULL,
FTYPE BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FCUSTPARAM VARCHAR(255) DEFAULT ' ' NOT NULL,
FCUSTPARAM_TAG NCLOB DEFAULT ' ' NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGITEMS_L') 
 CREATE TABLE T_RICC_CONFIGITEMS_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGITEMS') 
 CREATE TABLE T_RICC_CONFIGITEMS (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FPLUGIN VARCHAR(2000) DEFAULT ' ',
FORDERFIELD VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAGE VARCHAR(36) DEFAULT ' ' NOT NULL,
FEXPLAIN VARCHAR(255) DEFAULT ' ' NOT NULL,
FEXPLAIN_TAG NCLOB,
FISPRESET CHAR(1) DEFAULT '0' NOT NULL,
FCONTROLLED CHAR(1) DEFAULT '0' NOT NULL,
FPAGETYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FHELPTEXT VARCHAR(2000) DEFAULT ' ' NOT NULL,
FRELYLEVEL BIGINT DEFAULT 0 NULL,
FCUSTOMPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUPPORTADDTOPACKET CHAR(1) DEFAULT '0' NOT NULL,
FIMPORTTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FCUSTPARAMPAGE VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGTREE') 
 CREATE TABLE T_RICC_CONFIGTREE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '0' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FORDERFIELD VARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_CONFIGTREE_L') 
 CREATE TABLE T_RICC_CONFIGTREE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_APPCTL_LIST') 
 CREATE TABLE T_RICC_APPCTL_LIST (
FID BIGINT DEFAULT 0 NOT NULL,
FAPP VARCHAR(50) DEFAULT ' ' NOT NULL,
FPAGE VARCHAR(50) DEFAULT ' ' NOT NULL,
FPERM VARCHAR(2000) DEFAULT ' ' NOT NULL,
FOPUSER BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_LOG') 
 CREATE TABLE T_RICC_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FOPTIME DATETIME,
FOPUSER BIGINT DEFAULT 0 NOT NULL,
FSTATE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMESSAGE VARCHAR(255) DEFAULT ' ' NOT NULL,
FMESSAGE_TAG NCLOB DEFAULT ' ' NULL,
FOPTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FSUCCESSCOUNT BIGINT DEFAULT 0 NOT NULL,
FFAILEDCOUNT BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_LOG_L') 
 CREATE TABLE T_RICC_LOG_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_RELYCONFIGITEM') 
 CREATE TABLE T_RICC_RELYCONFIGITEM (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID VARCHAR(50) DEFAULT ' ' NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_DESTACCOUNT_L') 
 CREATE TABLE T_RICC_DESTACCOUNT_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_SUBPACKET_FJ') 
 CREATE TABLE T_RICC_SUBPACKET_FJ (
FPKID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);