-- 基础数据同步日志表脚本与索引
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_RICC_BDSYNC_LOG')
 CREATE TABLE T_RICC_BDSYNC_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FTARUSER VARCHAR(50) DEFAULT ' ' NOT NULL,
FTARUSER_ENP NCLOB DEFAULT ' ',
FCOMPLETETIME DATETIME,
FRESULT VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FTOTAL BIGINT DEFAULT 0 NOT NULL,
FSUCCESS BIGINT DEFAULT 0 NOT NULL,
FFAILED BIGINT DEFAULT 0 NOT NULL,
FBIZOBJECT VARCHAR(100) DEFAULT ' ' NOT NULL,
FTARENV VARCHAR(200) DEFAULT ' ' NOT NULL,
FUSETIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATOR BIGINT DEFAULT 0 NOT NULL,
FEXPORTLOGID BIGINT DEFAULT 0 NOT NULL,
FLOG VARCHAR(255) DEFAULT ' ' NOT NULL,
FLOG_TAG NCLOB DEFAULT ' ' NULL,
FTASKID VARCHAR(50) DEFAULT ' ' NOT NULL,
FDOWNLOADURL VARCHAR(500) DEFAULT ' ' NOT NULL
);

EXEC P_ALTERPK 'PK_T_RICC_BDSYNC_LOG', 'T_RICC_BDSYNC_LOG', 'FID', '1';
IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_RICC_BDSYNC_LOG_FBILLNO') CREATE INDEX IDX_RICC_BDSYNC_LOG_FBILLNO ON T_RICC_BDSYNC_LOG ( FBILLNO );